org.apache.lucene.luke.models.documents

## Class TermVectorEntry.TermVectorPosition

- java.lang.Object
- - org.apache.lucene.luke.models.documents.TermVectorEntry.TermVectorPosition

Enclosing class:
  TermVectorEntry

    public static final class TermVectorEntry.TermVectorPosition
    extends Object

Holder for position information for a term vector entry.

### Method Summary

All Methods Instance Methods Concrete Methods
`OptionalInt` `getEndOffset()` Returns the end offset for this term in the document field.
`int` `getPosition()` Returns the position for this term in the document field.
`OptionalInt` `getStartOffset()` Returns the start offset for this term in the document field.
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Method Detail

#### getPosition

    public int getPosition()

Returns the position for this term in the document field.

#### getStartOffset

    public OptionalInt getStartOffset()

Returns the start offset for this term in the document field. Empty Optional instance is returned if no offset information available.

#### getEndOffset

    public OptionalInt getEndOffset()

Returns the end offset for this term in the document field. Empty Optional instance is returned if no offset information available.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`